/[gentoo-x86]/dev-ruby/rails/ChangeLog
Gentoo

Diff of /dev-ruby/rails/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.63 Revision 1.145
1# ChangeLog for dev-ruby/rails 1# ChangeLog for dev-ruby/rails
2# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rails/ChangeLog,v 1.63 2006/08/10 11:56:45 fmccor Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rails/ChangeLog,v 1.145 2009/09/14 21:55:14 maekke Exp $
4
5 14 Sep 2009; Markus Meier <maekke@gentoo.org> rails-2.3.4.ebuild:
6 amd64/x86 stable, bug #283396
7
8 14 Sep 2009; Diego E. Pettenò <flameeyes@gentoo.org> rails-2.3.4.ebuild:
9 Bump rubygems requirement to 1.3.2.
10
11*rails-2.3.4 (04 Sep 2009)
12
13 04 Sep 2009; Hans de Graaff <graaff@gentoo.org> +rails-2.3.4.ebuild:
14 Version bump: fix security issues reported in #283396.
15
16 16 Aug 2009; Raúl Porcel <armin76@gentoo.org> rails-2.3.3.ebuild:
17 Add ~ia64 wrt #279123
18
19 26 Jul 2009; Hans de Graaff <graaff@gentoo.org> rails-2.3.3.ebuild:
20 Drop ia64 keyword #279123.
21
22*rails-2.3.3 (22 Jul 2009)
23
24 22 Jul 2009; Hans de Graaff <graaff@gentoo.org> +rails-2.3.3.ebuild:
25 Version bump for Rails 2.3.3.
26
27 28 May 2009; Raúl Porcel <armin76@gentoo.org> rails-2.3.2.ebuild:
28 ia64 stable wrt #270331
29
30 24 May 2009; Markus Meier <maekke@gentoo.org> rails-2.3.2.ebuild:
31 x86 stable, bug #270331
32
33 23 May 2009; Thomas Anderson <gentoofan23@gentoo.org> rails-2.3.2.ebuild:
34 stable amd64, bug 270331
35
36 23 May 2009; Brent Baude <ranger@gentoo.org> rails-2.3.2.ebuild:
37 Marking rails-2.3.2 ppc64 stable for bug 270331
38
39 23 May 2009; Brent Baude <ranger@gentoo.org> rails-2.3.2.ebuild:
40 Marking rails-2.3.2 ppc stable for bug 270331
41
42 18 May 2009; Ferris McCormick <fmccor@gentoo.org> rails-2.3.2.ebuild:
43 Sparc stable, Bug #270331.
44
45 18 May 2009; Hans de Graaff <graaff@gentoo.org> -rails-1.2.6.ebuild,
46 -rails-2.0.5.ebuild, -rails-2.1.2.ebuild, -rails-2.2.2.ebuild:
47 Remove old and vulnerable versions.
48
49*rails-2.3.2 (17 Mar 2009)
50
51 17 Mar 2009; Alex Legler <a3li@gentoo.org> +rails-2.3.2.ebuild:
52 Version bump
53
54 10 Jan 2009; Raúl Porcel <armin76@gentoo.org> rails-1.2.6-r1.ebuild,
55 rails-2.1.2-r1.ebuild, rails-2.2.2-r1.ebuild:
56 ia64 stable wrt #253425
57
58 09 Jan 2009; Brent Baude <ranger@gentoo.org> rails-1.2.6-r1.ebuild,
59 rails-2.0.5-r1.ebuild, rails-2.1.2-r1.ebuild, rails-2.2.2-r1.ebuild:
60 rails-1.2.6-r1 rails-2.0.5-r1 rails-2.1.2-r1 rails-2.2.2-r1 ppc stable for
61 bug 253425
62
63 07 Jan 2009; Ferris McCormick <fmccor@gentoo.org> rails-2.2.2-r1.ebuild:
64 Sparc stable, Bug #253425.
65
66 07 Jan 2009; Ferris McCormick <fmccor@gentoo.org> rails-1.2.6-r1.ebuild,
67 rails-2.0.5-r1.ebuild, rails-2.1.2-r1.ebuild:
68 Sparc stable, part of Bug #253425.
69
70 07 Jan 2009; Brent Baude <ranger@gentoo.org> rails-1.2.6-r1.ebuild,
71 rails-2.0.5-r1.ebuild, rails-2.1.2-r1.ebuild, rails-2.2.2-r1.ebuild:
72 rails-1.2.6-r1 rails-2.0.5-r1 rails-2.1.2-r1 rails-2.2.2-r1 ppc64 stable
73
74 04 Jan 2009; Markus Meier <maekke@gentoo.org> rails-1.2.6-r1.ebuild,
75 rails-2.0.5-r1.ebuild, rails-2.1.2-r1.ebuild, rails-2.2.2-r1.ebuild:
76 amd64/x86 stable, bug #253425
77
78 08 Dec 2008; Hans de Graaff <graaff@gentoo.org> rails-2.2.2-r1.ebuild:
79 Add missing RDEPEND on >=rubygems-1.3.1 as per #250245.
80
81 03 Dec 2008; Hans de Graaff <graaff@gentoo.org> rails-1.2.6-r1.ebuild:
82 Fix quoting.
83
84*rails-2.2.2-r1 (03 Dec 2008)
85*rails-2.1.2-r1 (03 Dec 2008)
86*rails-2.0.5-r1 (03 Dec 2008)
87*rails-1.2.6-r1 (03 Dec 2008)
88
89 03 Dec 2008; Hans de Graaff <graaff@gentoo.org> +rails-1.2.6-r1.ebuild,
90 +rails-2.0.5-r1.ebuild, +rails-2.1.2-r1.ebuild, +rails-2.2.2-r1.ebuild:
91 Make sure /usr/bin/rails loads the correct version of rails. Depend on and use
92 select-rails-0.14 to simplify the rails update process. Fixes #221899. Thanks
93 to Mark Somerville for initial patches and Alex Legler for getting it ready
94 for the tree and testing.
95
96*rails-2.2.2 (27 Nov 2008)
97
98 27 Nov 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.2.2.ebuild:
99 Version bump for Rails 2.2.2
100
101 17 Nov 2008; Hans de Graaff <graaff@gentoo.org> -rails-2.0.2.ebuild,
102 -rails-2.0.4.ebuild, -rails-2.1.0.ebuild, -rails-2.1.1.ebuild:
103 Remove old, insecure, versions
104
105 15 Nov 2008; Tobias Scherbaum <dertobi123@gentoo.org> rails-2.0.5.ebuild,
106 rails-2.1.2.ebuild:
107 ppc stable, bug #237385
108
109 06 Nov 2008; Raúl Porcel <armin76@gentoo.org> rails-2.1.2.ebuild:
110 ia64 stable wrt #237385
111
112 05 Nov 2008; Markus Meier <maekke@gentoo.org> rails-2.0.5.ebuild:
113 amd64/x86 stable, bug #237385
114
115 04 Nov 2008; Brent Baude <ranger@gentoo.org> rails-2.0.5.ebuild,
116 rails-2.1.2.ebuild:
117 Marking rails-2.0.5|2.1.2 ppc64 for bug 237385
118
119 03 Nov 2008; Markus Meier <maekke@gentoo.org> rails-2.1.2.ebuild:
120 amd64/x86 stable, bug #237385
121
122 03 Nov 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.5.ebuild,
123 rails-2.1.2.ebuild:
124 Sparc stable, Security Bug #237385.
125
126*rails-2.1.2 (24 Oct 2008)
127
128 24 Oct 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.2.ebuild:
129 Version bump. Fixes security issue #242914 (header-injection) and #237285.
130 Also features minor fixes.
131
132*rails-2.0.5 (20 Oct 2008)
133
134 20 Oct 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.0.5.ebuild:
135 Version bump for Rails 2.0.5
136
137*rails-2.1.1 (13 Sep 2008)
138
139 13 Sep 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.1.ebuild:
140 Version bump for Rails 2.1.1, bug #237392
141
142*rails-2.0.4 (12 Sep 2008)
143
144 12 Sep 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.0.4.ebuild:
145 Version bump for Rails 2.0.4, bug #237385
146
147 13 Jul 2008; Hans de Graaff <graaff@gentoo.org>
148 -files/1.1.6-deprecate-old-lighttpd.patch, -rails-1.1.6.ebuild,
149 -rails-1.1.6-r2.ebuild:
150 Belated removal for GLSA 200711-17
151
152 04 Jul 2008; Hans de Graaff <graaff@gentoo.org> rails-2.1.0.ebuild:
153 Rails now depends on rake 0.8.1 or better.
154
155 17 Jun 2008; Hans de Graaff <graaff@gentoo.org> -rails-1.2.5.ebuild:
156 Remove old version
157
158*rails-2.1.0 (17 Jun 2008)
159
160 17 Jun 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.0.ebuild:
161 Version bump for Rails 2.1.0
162
163 16 May 2008; nixnut <nixnut@gentoo.org> rails-2.0.2.ebuild:
164 Stable on ppc wrt bug 221309
165
166 13 May 2008; Raúl Porcel <armin76@gentoo.org> rails-2.0.2.ebuild:
167 ia64 stable wrt #221309
168
169 13 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
170 Sparc stable (again), following Hans de Graff's comment 7 in Bug #221309.
171 RMD160 for rails-2.0.2.gem should now be correct.
172
173 12 May 2008; Markus Rothe <corsair@gentoo.org> rails-2.0.2.ebuild:
174 Stable on ppc64; bug #221309
175
176 11 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
177 Back to ~sparc because of Friedrich Oslage's comments in Bug #221309.
178
179 11 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
180 Sparc stable --- part of Bug #221309 --- Good for about 5 months.
181
182 11 May 2008; Markus Meier <maekke@gentoo.org> rails-2.0.2.ebuild:
183 x86 stable, bug #221309
184
185 11 May 2008; Hans de Graaff <graaff@gentoo.org> rails-2.0.2.ebuild:
186 Stable on amd64, bug #221309
187
188 19 Mar 2008; Hans de Graaff <graaff@gentoo.org> Manifest:
189 Redigest due to upstream repackaging
190
191 04 Jan 2008; <nichoj@gentoo.org> ChangeLog:
192 Updated dependencies not to relay on specific version, and allowing for
193 later revisions (ie change =dev-ruby/activerecord-2.0.2 to
194 ~dev-ruby/activerecord-2.0.2.
195
196 18 Dec 2007; Hans de Graaff <graaff@gentoo.org> rails-2.0.2.ebuild:
197 Fix quoting; database USE flags have moved to dev-ruby/activerecord, make this
198 a warn instead of an info message.
199
200*rails-2.0.2 (18 Dec 2007)
201
202 18 Dec 2007; Hans de Graaff <graaff@gentoo.org> +rails-2.0.2.ebuild:
203 Version bump for Rails 2.0.2
204
205 01 Dec 2007; Christoph Mende <angelos@gentoo.org> rails-1.2.6.ebuild:
206 Stable on amd64 wrt bug #200159
207
208 01 Dec 2007; Hans de Graaff <graaff@gentoo.org> -rails-1.2.3.ebuild,
209 -rails-1.2.3-r1.ebuild, -rails-1.2.4.ebuild:
210 Remove old vulnerable versions
211
212 27 Nov 2007; Markus Rothe <corsair@gentoo.org> rails-1.2.6.ebuild:
213 Added ~ppc64; bug #200159
214
215 27 Nov 2007; Raúl Porcel <armin76@gentoo.org> rails-1.2.6.ebuild:
216 ia64/sparc stable wrt security #200159
217
218 26 Nov 2007; Brent Baude <ranger@gentoo.org> rails-1.2.6.ebuild:
219 Marking rails-1.2.6 ppc for bug 200159
220
221 26 Nov 2007; Christian Faulhammer <opfer@gentoo.org> rails-1.2.6.ebuild:
222 stable x86, security bug 200159
223
224*rails-1.2.6 (25 Nov 2007)
225
226 25 Nov 2007; Hans de Graaff <graaff@gentoo.org> +rails-1.2.6.ebuild:
227 Version bump for Rails 1.2.6, security bug #200159
228
229 21 Oct 2007; Steve Dibb <beandog@gentoo.org> rails-1.2.5.ebuild:
230 amd64 stable, security bug 195315
231
232 18 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org> rails-1.2.5.ebuild:
233 ppc stable, bug #195315
234
235 16 Oct 2007; Raúl Porcel <armin76@gentoo.org> rails-1.2.5.ebuild:
236 ia64/sparc stable wrt security #195315
237
238 16 Oct 2007; Hans de Graaff <graaff@gentoo.org> rails-1.2.5.ebuild:
239 Add back the dependency on eselect-rails that got dropped somehow after
240 rails-1.2.3-r1
241
242 16 Oct 2007; Christian Faulhammer <opfer@gentoo.org> rails-1.2.5.ebuild:
243 stable x86, security bug 195315
244
245*rails-1.2.5 (13 Oct 2007)
246
247 13 Oct 2007; Hans de Graaff <graaff@gentoo.org> +rails-1.2.5.ebuild:
248 Version bump with security fixes, bug 195315
249
250 07 Oct 2007; Hans de Graaff <graaff@gentoo.org> rails-1.2.4.ebuild:
251 Add back the code that handles eselect, I must have used the wrong file to
252 start from :-(
253
254 06 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
255 rails-1.2.3-r1.ebuild:
256 stable x86, bug 177209
257
258*rails-1.2.4 (06 Oct 2007)
259
260 06 Oct 2007; Hans de Graaff <graaff@gentoo.org> +rails-1.2.4.ebuild:
261 Version bump for rails 1.2.4
262
263 06 Oct 2007; Hans de Graaff <graaff@gentoo.org>
264 -files/rails-1.0.0-rdoc-rake-0.7.patch, -rails-1.1.6-r1.ebuild,
265 -rails-1.2.0.ebuild, -rails-1.2.1.ebuild, -rails-1.2.2.ebuild:
266 Remove versions that are old or won't become stable
267
268 06 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
269 rails-1.2.3-r1.ebuild:
270 ppc stable, bug #177209
271
272 05 Oct 2007; Ferris McCormick <fmccor@gentoo.org> rails-1.2.3-r1.ebuild:
273 Sparc stable --- Bug #177209
274
275 03 Sep 2007; Joshua Nichols <nichoj@gentoo.org> rails-1.1.6.ebuild,
276 rails-1.1.6-r1.ebuild, rails-1.1.6-r2.ebuild, rails-1.2.0.ebuild,
277 rails-1.2.1.ebuild, rails-1.2.2.ebuild, rails-1.2.3.ebuild,
278 rails-1.2.3-r1.ebuild:
279 Changed eselect-rails from PDEPEND to DEPEND. Moved blockers from
280 eselect-rails to here. Should address bug #172812.
281
282*rails-1.2.3-r1 (01 Sep 2007)
283*rails-1.1.6-r2 (01 Sep 2007)
284
285 01 Sep 2007; Joshua Nichols <nichoj@gentoo.org> +rails-1.1.6-r2.ebuild,
286 +rails-1.2.3-r1.ebuild:
287 Revision bumps for both slots. No longer installs /usr/bin/rails. Instead,
288 uses app-admin/eselect-rails to manage the symlink.
289
290 14 Mar 2007; Richard Brown <rbrown@gentoo.org> rails-1.2.3.ebuild:
291 Fix rails-1.2.3 rake dependency
292
293*rails-1.2.3 (14 Mar 2007)
294
295 14 Mar 2007; Joshua Nichols <nichoj@gentoo.org> +rails-1.2.3.ebuild:
296 Version bump for rails 1.2.3.
297
298*rails-1.2.2 (11 Feb 2007)
299
300 11 Feb 2007; Joshua Nichols <nichoj@gentoo.org> +rails-1.2.2.ebuild:
301 Version bump.
302
303 10 Feb 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
304 rails-1.1.6.ebuild, rails-1.1.6-r1.ebuild, rails-1.2.0.ebuild,
305 rails-1.2.1.ebuild:
306 Updated rails license to MIT, #165876
307
308*rails-1.2.1 (21 Jan 2007)
309
310 21 Jan 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
311 -rails-1.2.0_rc1.ebuild, +rails-1.2.1.ebuild:
312 1.2.1 in, 1.2.0_rc1 out
313
314*rails-1.2.0 (19 Jan 2007)
315
316 19 Jan 2007; Caleb Tennis <caleb@gentoo.org> +rails-1.2.0.ebuild:
317 rails 1.2.0
318
319*rails-1.2.0_rc1 (24 Nov 2006)
320
321 24 Nov 2006; Caleb Tennis <caleb@gentoo.org> +rails-1.2.0_rc1.ebuild:
322 1.2.0_rc1
323
324*rails-1.1.6-r1 (03 Oct 2006)
325
326 03 Oct 2006; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
327 +files/1.1.6-deprecate-old-lighttpd.patch, -rails-1.1.2.ebuild,
328 -rails-1.1.3.ebuild, -rails-1.1.4.ebuild, -rails-1.1.5.ebuild,
329 +rails-1.1.6-r1.ebuild:
330 Removed old ebuilds. Added 1.1.6-r1 to ignore lighttpd older than 1.4.10
331 (bug #133500)
332
333 02 Sep 2006; Bryan Østergaard <kloeri@gentoo.org> rails-1.1.6.ebuild:
334 Stable on ia64.
335
336*rails-1.1.6 (10 Aug 2006)
337
338 10 Aug 2006; Caleb Tennis <caleb@gentoo.org> +rails-1.1.6.ebuild:
339 version bump
4 340
5 10 Aug 2006; Ferris McCormick <fmccor@gentoo.org> rails-1.1.5.ebuild: 341 10 Aug 2006; Ferris McCormick <fmccor@gentoo.org> rails-1.1.5.ebuild:
6 Stable on sparc --- Bug #143369 (mandatory security upgrade) --- installs and 342 Stable on sparc --- Bug #143369 (mandatory security upgrade) --- installs and
7 works. 343 works.
8 344

Legend:
Removed from v.1.63  
changed lines
  Added in v.1.145

  ViewVC Help
Powered by ViewVC 1.1.20